Last Comment Bug 773840 - External API build bustage from bug 145293
: External API build bustage from bug 145293
Status: RESOLVED FIXED
:
Product: MailNews Core
Classification: Components
Component: Import (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 145293
  Show dependency treegraph
 
Reported: 2012-07-13 15:55 PDT by neil@parkwaycc.co.uk
Modified: 2012-09-26 03:59 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (2.12 KB, patch)
2012-07-13 15:56 PDT, neil@parkwaycc.co.uk
standard8: review+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2012-07-13 15:55:08 PDT
I don't know whether bug 145293 deliberately reverted bug 707305 by switching MsgCountChar back to CountChar or whether the author was worried because MsgCountChar is only currently defined for nsACString in external API builds, but we need to change it back and defined an nsAString version of MsgCountChar.

We also need to replace a couple of uses of Find with something external-API safe.
Comment 1 neil@parkwaycc.co.uk 2012-07-13 15:56:56 PDT
Created attachment 642119 [details] [diff] [review]
Proposed patch
Comment 2 neil@parkwaycc.co.uk 2012-07-17 13:51:46 PDT
Pushed comm-central changeset 77f5e9df20fc.

Note You need to log in before you can comment on or make changes to this bug.